Chuyển đến nội dung
Diễn đàn CADViet
ainhandilac

Tập hợp các lệnh acad cho kỹ sư cấp thoát nước

Các bài được khuyến nghị

Tôi mới viết được một số lệnh về trac đọc tuyển ong , thống kê vat tu , về cum xử lý nước theo công suất nhưng không biết post lên thế nào , anh em hướng dẫn đi để tôi post lên cho

hic bộ công sức nhiều quá , viết cả tháng trời mới xong

phuuuuuuuuuuuuuuuuu !

 

Bạn vào mục upload phía trên bên phải diễn đàn!

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Thử anh em cấp thoát nước chút vậy thôi hihi

tạm thời tặng các bro cai lip ke vật tu tuyen ông đúng thu nhè

đúng ko được thì đừng có chui tui nghe

nhấn vào đây!

 

chúc thành công

Ko biết ông bạn học ngành gì, tưởng ông bạn có lisp gì đặc biệt, Thất vọng quá.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Ko biết ông bạn học ngành gì, tưởng ông bạn có lisp gì đặc biệt, Thất vọng quá.

 

chán cái pác interwar1283 này quá

nếu ông là dân ctn thì chắc ông cũng đã làm trắc dọc tuyến ống rồi chứ

nếu vậy các chỉ tiết cọc của ống phải ghi đầy đủ các chú thích phải không ? Ông dùng cái này ông quét các ghi chú ấy vào exel rồi ông shorf lại và đứng sumif để tổng hợp

có phải là ông có cái bảng kệ vật tư ngon lành không ? chứ không lẽ ông ngồi ông nhá từng chi tiết để mà kê vật tư ah ?

thực ra tôi còn có mấy cái trắc dọc tuyen ong cấp thoát nước nhưng phải nhập số liệu từ exel rồi mới chạy được , nói chung là khá phức tạp nên khó sử dụng

ông có cái nào hữu ích hơn thì ông post lên cho moi nguoi di ????

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Thực ra thì vẽ trắc dọc cấp nước và thoát nước hiện nay có nhiểu chương trình hỗ trợ và hầu hết chúng đều phải nhập số liệu từ Excel. Còn tùy thuộc vào các trương trình hỗ trợ mà nó thích ứng trên Cad khác nhau: có cái phải vẽ trong Cad 14 còn có cái vẽ trong Cad 2004...

Vậy cái trương trình kia của bạn là gì? Bạn đã nêu ra thì có thể upload lên cho mọi người cùng sử dụng xem thử được không? Nếu có thể thì thêm cả hướng dẫn sử dụng nữa thì càng tốt.

Chứ đừng như lần trước nêu ra rồi lại nói là thử anh em cấp thoát nước vậy thôi là không nên.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Thực ra thì vẽ trắc dọc cấp nước và thoát nước hiện nay có nhiểu chương trình hỗ trợ và hầu hết chúng đều phải nhập số liệu từ Excel. Còn tùy thuộc vào các trương trình hỗ trợ mà nó thích ứng trên Cad khác nhau: có cái phải vẽ trong Cad 14 còn có cái vẽ trong Cad 2004...

Vậy cái trương trình kia của bạn là gì? Bạn đã nêu ra thì có thể upload lên cho mọi người cùng sử dụng xem thử được không? Nếu có thể thì thêm cả hướng dẫn sử dụng nữa thì càng tốt.

Chứ đừng như lần trước nêu ra rồi lại nói là thử anh em cấp thoát nước vậy thôi là không nên.

 

thứ nhất là cái Hwase chắc mọi người biết hết rồi chú (18mb ) nên tôi kô post đuoc

cái thứ 2 chắc tôi tập hợp duc hét lên đây để anh em tham khảo và từ sử dụng nhe

mà nói trước là cái này tôi vừa ăn trộm , vua sưu tầm và vừa mày mở nên không hoàn chỉnh dau

mong các bro cho ý kiến nhé

(Defun c:mccn ()
(setq DATE (rtos (getvar "cdate") 2)
	ngay (substr DATE 7 2)
DATE (strcat (substr DATE 7 2) "_"
	     (substr DATE 5 2 ) "_"
	     (substr DATE 1 4 )
	     )
)  
(Command "STYLE" "Standard" "VNI-HELVE" "" "" "" "" "" "") 
(Command "Layer" "N" "MD" "C" "8" "MD" "M" "MD" "" )
(Command "Layer" "N" "ONG" "C" "1" "ONG" "M" "ONG" "" )
(Command "Layer" "N" "TEXT1" "C" "4" "TEXT1" "M" "TEXT1" "" )
(Command "Layer" "N" "DUONGDONG" "C" "40" "DUONGDONG" "M" "DUONGDONG" "" )

  (setq tenfile (getfiled "Chon File so lieu" "D:"   "TXT" 4));chon file
  (Setq td (open tenfile "r"));mo file
  (Setq SMCV (Read-line td)) ;doc ky tu dau
  (Setq SMCVr (Atof SMCV));chuyen doi ky tu thanh so thuc
  ;(Setq SMCV1 (Read-line td)) 
  ;(Setq SMCV1r (Atof SMCV1))
  (Setq TLC (Read-line td)) ;doc ty le dung
  (Setq TLCr (Atof TLC));chuyen doi ky tu thanh so thuc
  (Setq TLN (Read-line td)) ; doc ty le ngang
  (Setq TLnr (Atof TLN));chuyen doi ky tu thanh so thuc
  (Setq MSS (Read-line td))  ;doc ma so sanh
  (Setq MSSr (Atof MSS));chuyen doi ky tu thanh so thuc
 ; (Setq DD (Read-line td)) 
  ;(Setq DDR (Atof DD))
  ;(Setq GQMB (Read-line td)) ;doc goc quay mat bang
  ;(Setq GQMBR (Atof GQMB));chuyen doi ky tu thanh so thuc
;(Setq VL (Read-line td))  ;doc 
  ;(Setq VLR (Atof VL));chuyen doi ky tu thanh so thuc
  (Setq TEN (Read-line td));doc ten coc
  ;----------------------------------------------
  (Setq SMC 1)
                     (While (<= SMC SMCVr) ;trong khi smc<smcvr thi
                     (Progn                  
  (Setq d1 (Getpoint "Cho diem bat dau ve")); lay toa do diem dau
  (command "insert" "dau" d1 "" "" "" "")
  (command "explode" "l")
(Command "Layer" "S" "TEXT1" "")
  (SETQ DATE (STRCAT "THUC HIEN NGAY: " DATE))
  (SETQ FILENAME (STRCAT "TEN FILE :" (GETVAR "DWGNAME")))
  (Command "Text" (List (Car d1) (- (Cadr d1) 20)) "2.5" "0.0" date);ngay thang
   (Command "Text" (List (Car d1) (- (Cadr d1) 25)) "2.5" "0.0" FILENAME);
  (Command "Text" (List (Car d1) (- (Cadr d1) 30)) "2.5" "0.0" "creat by: DUONG CONG KHANH" );nguoi thuc hien

  (Setq HSTLC (/ 1000 TLCr));he so ty le cao
  (Setq HSTLN (/ 1000 TLNr));he so ty le ngang
  (Setq F (Read-line td));doc phan tiep theo cua phai
  (Setq F (strcat "(" F ")"));ket noi thanh mot chuoi
  (Setq A (Read F));doc chuoi
  (Setq TC (nth 0 A))  ;ten coc (phan tu dau cua chuoi)
  (Setq KC (nth 1 A))  ;khoang cach ( phan tu thu hai)
  (Setq CD (nth 2 A)) ;cao do ( phan tu thu 3)

(Setq DAY (nth 3 A))  ;cao do day( ptu thu 4 )
(Setq SAU (nth 4 A))  ; do sau chon ong ( ptu thu 5)
(Setq Ddd (nth 5 A))  ; do doc
  	(setq GQMB (nth 6 A))	; goc quay mat bang
  (setq dko (nth 7 A)); duong kinh
  (Setq HS (* (- CD MSSr) HSTLC));cao do -cot so sanh * ty le cao
  (Setq TKC 0.0) ; tong khoang cach = 0
  ;(Setq CDDC (- CD  DDR)) 
  ;(Setq dsco (- cd CDDc )) 
  (Setq HS3 (* (- DAY MSSr) HSTLC)); cdo day - cot so sanh * ty le
  (Setq d2 (List (Car d1) (+ (Cadr D1) 11.0))); toa do d2 x = x0, y = y0 + 15
  (Setq d3 (List (Car d1) (+ (Cadr d1) 22.0))); toa do d3 x = x0, y = y0 + 25
  (Setq d4 (List (Car d1) (+ (Cadr d1) 33.0))); toa do d4 x = x0, y = y0 + 35
  (Setq d5 (List (Car d1) (+ (Cadr d1) 44.0))); toa do d5 x = x0, y = y0 + 45
  (Setq d6 (List (Car d1) (+ (Cadr d1) 55.0))); toa do d6 x = x0, y = y0 + 55
  (Setq d7 (List (Car d1) (+ (Cadr d1) 66.0))) ; toa do d7 x = x0, y = y0 + 65
  (Setq d8 (List (Car d1) (+ (Cadr d1) 77.0))) ; toa do d8 x = x0, y = y0 + 75
  (Setq d9 (List (Car d1) (+ (Cadr d8) HS))); toa do d9 x = x0, y = y0 + 75 + cao do mdat
  (Setq d10 (List (Car d1) (+ (Cadr d8) HS3))); toa do d10 x = x0, y = y0 + 75 + cao do day ong

     (Command "Layer" "S" "TEXT1" "");tao lop text
     (Command "Text" "C" (List (Car d1) (+ (Cadr d1) 3)) "5" "0.0" TC);viet chu ten coc tai vi tri d1
     (Command "Text" (List (Car d1) (+ (Cadr d3) 0.5)) "2.5" "90.0" (rtos TKC 2 0) );(rtos tkc 2 4) )khoang cach
     (Command "Text" (List (Car d1) (+ (Cadr d5) 0.5)) "2.5" "90.0" (rtos DAY 2 2) );do sau chon ong
	(Command "Text" "C" (List (Car d1)  (+ (Cadr d2) 7)) "2.5" "0.0" GQMB)   ;goc quay mat bang
  (Command "Layer" "S" "duongdong" "")
(cond
 ( (= GQMB 180) (command "insert" "goc180" (List (Car d1)  (+ (Cadr d2) 2.5)) "" "" "" "")
  )
 ( (= GQMB 90)(command "insert" "goc90" (List (Car d1)  (+ (Cadr d2) 2.5)) "" "" "" "")
	 )
  ( (< GQMB 90)(command "insert" "gocnho90" (List (Car d1)  (+ (Cadr d2) 2.5)) "" "" "" "")
   )
  ( (> GQMB 90)(command "insert" "gockhac" (List (Car d1)  (+ (Cadr d2) 2.5)) "" "" "" "")
   	  )
)
 (Command "Layer" "S" "TEXT1" "")
    (Command "Text" (List (Car d1) (+ (Cadr d6) 0.5)) "2.5" "90.0" (rtos SAU 2 2) );cao do day ong
     (Command "Text" (List (Car d1) (+ (Cadr d7) 0.5)) "2.5" "90.0" (rtos CD 2 2) );cao do mat dat
     (Command "Text" "j" "mr" (List (- (Car d1) 3) (+ (Cadr d8) 2.0)) "2.5" "0.0" (rtos MSSr 2 2) );cot so sanh
 (Command "Layer" "S" "duongdong" "");chuyen sang layer duong dong
(command "circle""2p" d1 d2"")
  (Command "Line" d8 d9 "")  ;ve line tu d8 den d9
            (Setq dk "T");dat dk = t
             (While (= dk "T")             ;(Bat dau while vong 2)
       	      (Progn                    ;(Bat dau prog cua while vong 2)
			(Setq G (Read-line td))	;doc file td		
	(If (= G "End") (Setq dk "S")	; neo g = end thi dk = s		
	(If (= G "MC") (Setq dk "TT");neu g = mc thi dk = tt
        		(Progn             ;(Bat dau progn cua if)  
		(Setq G (strcat "(" G ")")); noi chuoi g	
                          (Setq B (Read G));doc g
		   (Setq TC (nth 0 B )) ;ten coc
		   (Setq KC (nth 1 B )) ;khoang cach
		   (Setq CD (nth 2 B )) ;cao do mdat
(Setq DAY (nth 3 B ))  ; Cao do day
(Setq SAU (nth 4 B ))  ; do sau con ong
(Setq Ddd (nth 5 B ))  ; do doc
(setq GQMB (nth 6 B )); goc quay mat bang
(setq dko (nth 7 B ))
	(Setq TKC (+ TKC KC)) ;cong don
	;(Setq CDDC (- CD DDR)) 
	;(Setq dsco (- cd CDDc )) 
   (Setq HS1 (* (- CD MSSr) HSTLC));tinh ty le cao
   (Setq HS2 (* KC HSTLN));tinh ty le ngang
	(Setq HS11 (* (- DAY MSSr) HSTLC));tinh cao do day
	(Setq d11 (List (+ (Car d1) HS2) (Cadr d1)));dat toa do d11 = 
	(Setq d12 (List (+ (Car d1) hs2) (+ (Cadr D1) 11.0)))
	(Setq d13 (List (+ (Car d1) hs2) (+ (Cadr d1) 22.0)))
	(Setq d14 (List (+ (Car d1) hs2) (+ (Cadr d1) 33.0)))
	(Setq d15 (List (+ (Car d1) hs2) (+ (Cadr d1) 44.0)))
	(Setq d16 (List (+ (Car d1) hs2) (+ (Cadr d1) 55.0)))
	(Setq d17 (List (+ (Car d1) hs2) (+ (Cadr d1) 66.0))) 
	(Setq d18 (List (+ (Car d1) hs2)(+ (Cadr d1) 77.0))) 
	(Setq d19 (List (+ (Car d1) hs2)(+ (Cadr d8) HS1)))
	(Setq d110 (List (+ (Car d1) hs2) (+ (Cadr d8) HS11)))
(Command "Layer" "S" "MD" "")
(Command "Layer" "S" "duongdong" "")
			(Command "Line" d2 d12 "")
			(Command "Line" d3  d13 "")
			(Command "Line" d4  d14 "")
			(Command "Line" d5 d15 "")
			(Command "Line" d6 d16 "")
			(Command "Line" d7 d17 "")
			(Command "Line" d8  d18 "")
			(Command "Line" d18 d19 "")  
 (Command "Layer" "S" "TEXT1" "")
      (Command "Text" "C" (List (Car d11) (+ (Cadr d11) 3)) "5" "0.0" TC  )
      (Command "Text" (List (Car d11) (+ (Cadr d13) 0.5)) "2.5" "90.0" (rtos TKC 2 0) )
      (Command "Text" "C" (List (+ (Car d1) (/ HS2 2)) (+ (Cadr d3) 5)) "2.5" "0.0" (rtos KC 2 0) );(Rtos KC 2 4) )    
(Command "Text" "C" (List (Car d11)  (+ (Cadr d12) 7)) "2.5" "0.0" GQMB)
(Command "Layer" "S" "duongdong" "")
(cond
 ( (= GQMB 180) (command "insert" "goc180" (List (Car d11)  (+ (Cadr d12) 2.5)) "" "" "" "")
  )
 ( (= GQMB 90)(command "insert" "goc90" (List (Car d11)  (+ (Cadr d12) 2.5)) "" "" "" "")
	 )
  ( (< GQMB 90)(command "insert" "gocnho90" (List (Car d11)  (+ (Cadr d12) 2.5)) "" "" "" "")
   )
  ( (> GQMB 90)(command "insert" "gockhac" (List (Car d11)  (+ (Cadr d12) 2.5)) "" "" "" "")
   	  )
)
	  (Command "Layer" "S" "TEXT1" "")
      (Command "Text" (List (Car d11) (+ (Cadr d15) 0.5)) "2.5" "90.0" (rtos DAY 2 2) )
      (Command "Text" (List (Car d11) (+ (Cadr d16) 0.5)) "2.5" "90.0" (rtos SAU 2 2) )
      (Command "Text" (List (Car d11) (+ (Cadr d17) 0.5)) "2.5" "90.0" (rtos CD 2 2) )
(Command "Layer" "S" "ONG" "")
			(Command "Line" d10  d110 "")  

(Command "Layer" "S" "MD" "")
			(Command "Line" d9  d19 "")
	(Command "Layer" "S" "duongdong" "")
(setq dodoc (rtos ddD 2 4))
   (SETQ N "i=")
 (SETQ ddD1 (STRCAT N dodoc))
(setq dkinh (rtos dko 2 0))
   (SETQ N1 "D=")
 (SETQ dko1 (STRCAT N1 dkinh))
(setq k1 (cadr d10)
     k2 (cadr d110))
(if (or (< k1 k2)(= k1 k2))
 (progn
   (Command "Line" d4 d15 "")
(Command "Text" "C" (List (- (Car d11) 10) (+ (Cadr d4) 2)) "2.5" "0.0" ddD1 ); do doc
 (Command "Text" "C" (List (+ (Car d1) 10) (+ (Cadr d4) 5.5)) "2.5" "0.0" dko1 ); duong kinh
   )
 (progn
  (Command "Line" d5 d14 "")
  (Command "Text" "C" (List (+ (Car d1) 10) (+ (Cadr d4) 2)) "2.5" "0.0" ddD1 ); do doc
 (Command "Text" "C" (List (- (Car d11) 10) (+ (Cadr d4) 5.5)) "2.5" "0.0" dko1 ); duong kinh
  )
)
 (Command "Line" d14 d15 "")
		(command "circle""2p" d12 d11"")
(Command "Layer" "S" "duongdong" "")
		(Setq d1 d11) 
		(Setq d2 d12) 
		(Setq d3 d13) 
		(Setq d4 d14) 
		(Setq d5 d15) 
		(Setq d6 d16) 
		(Setq d7 d17) 
		(Setq d8 d18) 
		(Setq d9 d19) 
		(Setq d10 d110) 
(Setq dk "T")
		)))  ;Xong progn cua if;Xong if1;xong if2  
		)  ;Xong progn cua while vong 2
		)  ;Xong while cua dk vong 2
	  	   (Setq SMC (+ SMC 1))
		)  ;Xong prog cua while vong 1
		)  ; xong while Cua SMC vong 1
 (Prompt "CHUONG TRINH DA VE XONG")
(Close td)
)  ;Xong DEFUN
;*******************************************************************************

****************
; chuogn trinh ghi khoang cach cac diem ra file xls + goc quay + chep tiep file dang lam 
(Defun C:ktd ()
(PROMPT "CHU Y, TY LE BAN VE LA 1M = 1000 DON VI")

 (SETQ FN1 (GETFILED "CHON TEN FILE GHI KHOANG CACH VA GOC QUAY MAT BANG" "" "xls" 1)) ; tao file
  ;(SETQ FN2 (GETFILED "CHON TEN FILE goc quay Y" "" "xls" 1)) ; tao file
 (IF (NULL FN1)
   (PRINC "CHUA CHON TEN"); eslse
   (PROGN
(SETQ PW1 (OPEN FN1 "a")) ; mo file
(SETQ ghichu "TENCOC K/C GOCQUAY")
(WRITE-line ghichu PW1)
;(SETQ PW2 (OPEN FN2 "a"))
(setq n (GETreal"\nCHON SO COC"))
;-******************************************************
(princ "chon diem so ")
   (princ n )
   (princ " (")
 (princ n)
(SETQ A (GETPOINT "\nth point)")) ; chon diem
(print)
 	(command "insert" "COC" A "" "" "" ) ; insert coc
(setq l1 0)
(setq n1 (rtos n 2 0))
(SETQ L4 (STRCAT n1 " " "0" " " "0"))
(WRITE-line l4 PW1)
(setq n (+ 1 n));2
;***********************************
(princ "chon diem so ")
   (princ n )
   (princ " (")
 (princ n)
 (SETQ b (GETPOINT "th point)"))
(print)
 (command "insert" "COC" b "" "" "" )
 (setq L3 (distance A B )) 
(setq l4 (rtos (/ L3 1000) 2 2))
;(WRITE-line l4  PW1); k/c 1 -2 ok
;bat dau tinh goc 1 - 2
	(setq goc1 (angle a B ))
(setq gocdo (cvunit goc1 "radians""degree"))
	(setq ghigoc (rtos gocdo 2 2))

	;(write-line ghigoc PW2)
;*********************************
(princ "chon diem so ")
   (princ (+ 1 n) )
   (princ " (")
 (princ (+ 1 n))
(SETQ c (GETPOINT "th point)"))
(print)
 (command "insert" "COC" c "" "" "" )
 	;(WRITE-line l4  PW1); k/c 1 -2 ok
;bat dau tinh goc 1 - 2
	(setq goc2 (angle b c))
	(setq goc (+ pi (- goc2 goc1)))
(setq gocdo (cvunit goc "radians""degree"))
(if (<= gocdo 180)
 	(setq ghigoc (rtos (abs gocdo) 2 2))
(progn
(setq doi (abs (- 360 gocdo)))
(setq ghigoc (rtos doi 2 2))
)
 )
(setq n1 (rtos n 2 0))
(SETQ L4 (STRCAT n1 " " l4 " " ghigoc))
(WRITE-line l4 PW1)

(setq L5 (distance b c)) 
(setq l6 (rtos (/ L5 1000) 2 2))
(setq n (+ 1 n));3
;**********************************************
(setq dk "t")
(WHILE	(= dk "t");bat dau while
 (princ "chon diem so ")
   (princ (+ 1 n))
   (princ " (")
 (princ (+ 1 n))
  (SETQ d (GETPOINT "th point)"));diem 3
	(print)
 	(command "insert" "COC" d "" "" "" )
;xong k/c 2-3 ok
;bat dau tinh goc 2 - 3
(setq goc3 (angle c d))
(setq goc (+ pi (- goc3 goc2)))
(setq gocdo (cvunit goc "radians""degree"))
(if (<= gocdo 180)
 	(setq ghigoc (rtos (abs gocdo) 2 2))
(progn
(setq doi (abs (- 360 gocdo)))
(setq ghigoc (rtos doi 2 2))
)
 )
 (setq n1 (rtos n 2 0))
(setq ghi (strcat n1 " " l6 " " ghigoc))
(write-line ghi PW1)
 	(setq L5 (distance c d)) 
(setq l6 (rtos (/ L5 1000) 2 2))
;xong goc2 - 3 ok
(setq goc2 goc3)
(setq c d)
(setq n (+ 1 n))

 )
;dong while
(setq n1 (rtos n 2 0))
(setq ghi (strcat n1 " " l6 " " "0"))
(write-line ghi PW1)
     (CLOSE PW1)
;(CLOSE PW2)
     )
  )
 )
   (print "type ktd to start")
;*******************************************************************************

************

;ghi toa do xy ra man hinh 
(Defun c:dc (/ A k1 k2)
(WHILE
 (setq A (getpoint "\nPick a point: ")
k1 (rtos (car A) 2 3)
k2 (rtos (cadr A) 2 3)
      )
 (setq ht (getvar "osnapcoord"))
 (setvar "Osnapcoord" 1)

(SETQ N "X=")
 (SETQ M (STRCAT N k1))
(SETQ n1 "Y=")
 (SETQ M1 (STRCAT n1 k2))

 (command    ".Text" (polar A (* 0.5 Pi) 3) 2.5 0 m
".Text" (polar A (* -0.5 Pi) 3) 2.5 0 m1)
)
 (setvar "Osnapcoord" ht)
 )
;*******************************************************************

;nhap theo goc ( ty le 1/5				;wase
(defun c:tg ()
 (setq a (getangle "\n nhap duong tinh do doc"))
 (setq t1 (cos a))
 (setq t2 (sin a))
 (setq g (/ t2 t1))
 (setq D (abs g))
 (SETQ F (RTOS D 2 4))
 (PROMPT F)
 (SETQ N "i=")
 (SETQ M (STRCAT N F))
 (command ".text" pause 1.25 0.0 M)
)
(princ "go\"tg\" to start")

;tinhs theo text tu man hinh

(DEFUN GLIST ()(ENTGET (CAR (ENTSEL))))
(DEFUN FSTR (STR SEARCH / INDEX FIND)(SETQ INDEX 0)(WHILE (AND (/= FIND SEARCH) (<= INDEX (- (STRLEN STR) (STRLEN SEARCH))))(SETQ INDEX (+ 1 INDEX))(SETQ FIND (SUBSTR STR INDEX (STRLEN SEARCH))))(IF (= FIND SEARCH) INDEX "NOT FOUND" )) 
(DEFUN FIRE1 (STR FIND REPLACE / N A B C)(SETQ N (FSTR STR FIND))(IF (/= N "NOT FOUND")(PROGN(SETQ A (SUBSTR STR 1 (- N 1)))(SETQ B REPLACE)(SETQ L (STRLEN FIND))(SETQ C (SUBSTR STR (+ N L)))(SETQ STR (STRCAT A B C)))STR))
(defun CN()(setvar "cmdecho" 0)(initget "Sua")(setq pt (getpoint "\nSua so lieu cu/<Ghi so lieu moi>: ")#STYLE (GETVAR "TEXTSTYLE"))(if (= pt "Sua")(progn(PRINC "\nChon dong chu ghi so lieu cu:")(SETQ ELIST (GLIST))(SETVAR "CMDECHO" 0)(SETVAR "LUPREC" 0)(setq  ELIST (SUBST (CONS 1 TT) (ASSOC 1 ELIST) ELIST))(ENTMOD ELIST)(SETVAR "CMDECHO" 1)(SETVAR "LUPREC" 4))(progn(if (/= (cdr(assoc 40 (tblsearch "style" #STYLE))) 0)(COMMAND "TEXT" pt "0"  TT)(COMMAND "TEXT" pt "2.5" "0"  TT))))(princ))


(DEFUN C:th()
 (SETQ a (ENTGET (CAR (ENTSEL "\nChon so thu 1:")))
T1 (CDR (ASSOC 1 a))
T1 (FIRE1 T1 "," ".")
T1 (ATOF T1)
b (ENTGET (CAR (ENTSEL "\nChon so thu 2:")))
t2 (CDR (ASSOC 1 B ))
t2 (FIRE1 t2 "," ".")
t2 (ATOF t2)
c (ENTGET (CAR (ENTSEL "\nChon khoang cach:")))
t3 (CDR (ASSOC 1 c))
t3 (FIRE1 t3 "," ".")
t3 (ATOF t3)

h1 (- T1 t2)
d (/ h1 t3)
f (RTOS d 2 5)
f (FIRE1 f "." ",")
)

   (PROMPT F)
 (SETQ N "i=")
 (SETQ M (STRCAT N F))
 (command ".text" pause 1.250 0.0 M)
)
(princ "go\"dd\" to start")

;nhap so tu ban phim
(defun c:ty ()


  (setq a (getREAL "NHAP cao do"))
  (while
 (setq pt1 (getREAL "NHAP cao do "))
 (setq pt2 (getREAL "NHAP khoang cach "))
 (setq ta (- a pt1))
 (setq tb ( / ta pt2))
   (setq tc (rtos tb 2 5))
 (princ tc)


(PROMPT tc)
 (SETQ N "i=")
 (SETQ M (STRCAT N tc))
 (command ".text" pause 1.250 0.0 M)

(princ "go\"dd\" to start")



 (SETQ a pt1)

 )
 (princ f)

 (princ "go\"ty\" to start")
)
;*******************************************************************************

(DEFUN GLIST ()(ENTGET (CAR (ENTSEL))))
(DEFUN FSTR (STR SEARCH / INDEX FIND)(SETQ INDEX 0)(WHILE (AND (/= FIND SEARCH) (<= INDEX (- (STRLEN STR) (STRLEN SEARCH))))(SETQ INDEX (+ 1 INDEX))(SETQ FIND (SUBSTR STR INDEX (STRLEN SEARCH))))(IF (= FIND SEARCH) INDEX "NOT FOUND" )) 
(DEFUN FIRE1 (STR FIND REPLACE / N A B C)(SETQ N (FSTR STR FIND))(IF (/= N "NOT FOUND")(PROGN(SETQ A (SUBSTR STR 1 (- N 1)))(SETQ B REPLACE)(SETQ L (STRLEN FIND))(SETQ C (SUBSTR STR (+ N L)))(SETQ STR (STRCAT A B C)))STR))
(defun CN()(setvar "cmdecho" 0)(initget "Sua")(setq pt (getpoint "\nSua so lieu cu/<Ghi so lieu moi>: ")#STYLE (GETVAR "TEXTSTYLE"))(if (= pt "Sua")(progn(PRINC "\nChon dong chu ghi so lieu cu:")(SETQ ELIST (GLIST))(SETVAR "CMDECHO" 0)(SETVAR "LUPREC" 0)(setq  ELIST (SUBST (CONS 1 TT) (ASSOC 1 ELIST) ELIST))(ENTMOD ELIST)(SETVAR "CMDECHO" 1)(SETVAR "LUPREC" 4))(progn(if (/= (cdr(assoc 40 (tblsearch "style" #STYLE))) 0)(COMMAND "TEXT" pt "0"  TT)(COMMAND "TEXT" pt "2.5" "0"  TT))))(princ))

(DEFUN C:SUB(/ SS TT STT ALIST NUM)
 (SETQ TLIST (ENTGET (CAR (ENTSEL "\nChon so bi tru:")))
TT (CDR (ASSOC 1 TLIST))
TT (FIRE1 TT "," ".")
TT (ATOF TT)
SS (ENTGET (CAR (ENTSEL "\nChon so tru:")))
ss (CDR (ASSOC 1 ss))
ss (FIRE1 ss "," ".")
ss (ATOF ss)
TT (- TT ss)
TT (RTOS TT 2 2)
TT (FIRE1 TT "." ",")
)
 (CN)
)
(DEFUN C:DV(/ SS TT STT ALIST NUM)
 (SETQ TLIST (ENTGET (CAR (ENTSEL "\nChon so bi chia:")))
TT (CDR (ASSOC 1 TLIST))
TT (FIRE1 TT "," ".")
TT (ATOF TT)
SS (ENTGET (CAR (ENTSEL "\nChon so chia:")))
ss (CDR (ASSOC 1 ss))
ss (FIRE1 ss "," ".")
ss (ATOF ss)
TT (/ TT ss)
TT (RTOS TT 2 2)
TT (FIRE1 TT "." ",")
)
 (CN)
)
(DEFUN C:MUL(/ SS TT STT ALIST NUM)
 (SETQ SS (SSGET '((-4 . "<OR")(0 . "text")(0 . "mtext")(-4 . "OR>")))
TT 1
stt 0
)
 (repeat (sslength ss)
  (setq alist (entget (ssname ss stt))
 NUM (CDR (ASSOC 1 ALIST))
 NUM (FIRE1 NUM "," ".")
 TT (* TT (ATOF NUM))
 STT (+ STT 1)
 )
 )
 (SETQ TT (RTOS TT 2 2)
TT (FIRE1 TT "." ",")
)
 (CN)
)
(DEFUN C:SUM(/ SS STT ALIST NUM TT)
 (SETQ SS (SSGET '((-4 . "<OR")(0 . "text")(0 . "mtext")(-4 . "OR>")))
TT 0
stt 0
)
 (repeat (sslength ss)
  (setq alist (entget (ssname ss stt))
 NUM (CDR (ASSOC 1 ALIST))
 NUM (FIRE1 NUM "," ".")
 TT (+ TT (ATOF NUM))
 STT (+ STT 1)
 )
 )
 (SETQ TT (RTOS TT 2 2)
TT (FIRE1 TT "." ",")
)
 (CN)
)

;************************
(defun ghi ()
(setq pw (open fn "a"))
(setq t1 (strcat (rtos n 2 0)" " t1))
 (write-line t1 pw)
 (close pw)
 )
;**********************************************
(defun chon ()
 	(SETQ en (ENTGET (CAR (ENTSEL "\nChon cao do:")))
	T1 (CDR (ASSOC 1 en))
	T1 (FIRE1 T1 "," ".")	)  )
;****************************************************
(defun c:cdmd ()
(setq fn (getfiled "select a file to write text" "" "xls" 1))
	 (if (null fn)
  		 (princ "no file selected!")
  			 (progn
		       (setq n (getreal"bat dau tu coc"))
		   (while
; bat dau dk re nhanh
(princ "coc so")
 (princ n)

(setq renhanh (getstring "\ go Y de nhap so bang ban phim"))
(if
  	(= renhanh "y")
	(gotext)
 	 (chon)
  )
    (ghi)
(setq n (+ 1 n))

   		    )
	    )
	  )
   )



*******************************************************
(defun gotext ()
 (setq t1 (getstring "\ngo vao cao do")
 T1 (FIRE1 T1 "," ".")
 )
 )
;*******************************************************************************


				;wase
(defun c:v ()
				;chon diem ghi cao do
  (setq pt2 (getpoint "\n chon diem ghi cao do"))

 (princ pt2)

 (setq t1 (cadr pt2))

 (setq t2 (/ t1 tl))

   (setq md (getpoint "\n nhap cot mat dat"))

 (setq cdmd1 (cadr md))

 (setq cdmd (/ cdmd1 tl))

 (setq do (- cdmd t2))

 (setq g (rtos do 2 2))

 (setq l (rtos t2 2 2))

 (command "text" (getpoint) 1250 90 g)

  (command "text" (getpoint) 1250 90 l)

 (princ))
 ;*******************************************************************************

*

;wase
(defun c:v1 ()
;chon diem ghi cao do
(setq tl (getreal "\n nhap ty le"))
 (while 
 (setq pt2 (getpoint "\n chon diem ghi cao do"))

 (princ pt2)

 (setq t1 (cadr pt2))

 (setq t2 (/ t1 tl))

   (setq md (getpoint "\n nhap cot mat dat"))

 (setq cdmd1 (cadr md))

 (setq cdmd (/ cdmd1 tl))

 (setq do (- cdmd t2))

 (setq g (rtos do 2 2))

 (setq l (rtos t2 2 2))
 (setq ht (getvar "osnapcoord"))
 (setvar "osnapcoord" 1)

 (Command "Text" (list  (Car md) -10400) "1250" "90.0" g);do sau chon ong

  (Command "Text" (list (Car md) -16250 ) "1250" "90.0" l));cao do day ong

 (setvar "osnapcoord" ht)
 (princ))
;*******************************************************************************

**********
;wase
(defun c:v2 ()
;chon diem ghi cao do
(setq tl (getreal "\n nhap ty le"))
 (while 
 (setq pt2 (getpoint "\n chon diem ghi cao do"))

 (princ pt2)

 (setq t1 (cadr pt2))

 (setq t2 (/ t1 tl))

   (setq md (getpoint "\n nhap cot mat dat"))

 (setq cdmd1 (cadr md))

 (setq cdmd (/ cdmd1 tl))

 (setq cdmd2 (rtos cdmd 2 2))
 (setq do (- cdmd t2))

 (setq g (rtos do 2 2))

 (setq l (rtos t2 2 2))
 (setq ht (getvar "osnapcoord"))
 (setvar "osnapcoord" 1)

 (Command "Text" (list  (Car md) -10400) "1250" "90.0" g);do sau chon ong

  (Command "Text" (list (Car md) -16250 ) "1250" "90.0" l);cao do day ong

(Command "Text" (list (Car md) -5400 ) "1250" "90.0" cdmd2))
 (setvar "osnapcoord" ht)
 (princ))
;***********************************************************************

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
oái ko biet tai sao lai đẻ ra máy cái emotions kia nhỉ, admin giai thich giúp đi

 

Ký hiệu kia là do mã lệnh b) gây nên.

 

Nhắc bạn ainhandilac:

- Lần sau các bài viết bạn phải viết tiếng Việt có dấu, nếu không sẽ bị xoá.

- dòng lệnh dài quá bạn nên giữa BBCode codebox. Ví dụ [)codebox] mã của bạn [/codebox]

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Đây là soft Hwase 3.0 của Thầy Nguyễn Hữu Hoà trường XD:

http://www.cadviet.com/upfiles/Hwase_30_Up...1_2007part1.rar

http://www.cadviet.com/upfiles/Hwase_30_Up...1_2007part2.rar

http://www.cadviet.com/upfiles/Hwase_30_Up...1_2007part3.rar

 

Dung lượng lớn nên mình chia làm 3 file up lên diễn đàn, ai lấy thì down về một thư mục rồi giải nén ra nhé.

Or Download ở đây

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

:unsure:

Đây là soft Hwase 3.0 của Thầy Nguyễn Hữu Hoà trường XD:

 

Dung lượng lớn nên mình chia làm 3 file up lên diễn đàn, ai lấy thì down về một thư mục rồi giải nén ra nhé.

Hoá ra pac nterwar1283 có đồ chơi mà bây giờ mới chịu post cho anh em, bây giờ pác đã là trưởng phòng Điện Nước rồi, có gì thì Pác post lên tiếp đi để anh em

mở mang kiến thức chứ, tôi nghe nói ở VIWASE có chương trình trắc dọc tuyến ống hay lắm mà Pác up lên cho tui tham khảo được không???

thank trước nhe!!!!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Đây là soft Hwase 3.0 của Thầy Nguyễn Hữu Hoà trường XD:

 

Dung lượng lớn nên mình chia làm 3 file up lên diễn đàn, ai lấy thì down về một thư mục rồi giải nén ra nhé.

Mình ko thể nào đọc được chữ vi bị mã hết. Xài font gì vậy bạn? Bạn chỉ mình cách làm cho hết mã được ko?Cám ơn nhiều.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Mình ko thể nào đọc được chữ vi bị mã hết. Xài font gì vậy bạn? Bạn chỉ mình cách làm cho hết mã được ko?Cám ơn nhiều.

Bạn thử để cái "Standards and formats" trong "Regional and Language Options" là English (US).nhớ là đừng để Vietnamese sẽ không chạy được đâu.

Hoặc chụp ảnh màn hình xem là lỗi gì mình sẽ khắc phục giúp bạn.

Mình Vẫn chạy được:

cad10.jpg

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

pác nào hướng dẫn qua em cai chương trình vẽ trắc dọc bằng chương trình này cái nhỉ

chuơng trình rất hay đúng lúc em đang làm đồ án tổng hợp

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Bạn thử để cái "Standards and formats" trong "Regional and Language Options" là English (US).nhớ là đừng để Vietnamese sẽ không chạy được đâu.

Hoặc chụp ảnh màn hình xem là lỗi gì mình sẽ khắc phục giúp bạn.

Mình Vẫn chạy được:

Đây là hình mà soft bị mã. Bạn giúp minh nhé.Cám ơn

untitled_1.bmp

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Mình cám ơn bạn nhé. Mình làm được rồi.

Không có gì, hi vọng bạn cùng tham gia bài viết cho Forum Cad cho dân cấp thoát nước nhiều hơn nữa.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

sof này rất hay.dễ sử dụng chỉ có điều nhập sai là làm lại từ đầu( phần q với i).mà không hiểu sao em làm hay bị lỗi lắm

1- thay đổi đọ sâu chôn cống ở những chỗ dặt bơm thì các cống sau không thay đổi

2- khi chạy scrip thì bão lỗi.

3- ai học trường Kiến Trúc thì không được dùng phần mềm này :unsure:

ai bít sửa lỗi 1 2 chỉ bảo cho em nhé.thx

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Nhờ các bạn chỉ cách cài giúp. Máy mình sài Vista, sau khi cài xong, chạy chương trình bị báo lỗi như sau: " component 'HLBSoft Button.ocx' or one of dependencies not correctly registered: a file is missing or valid". Mọi người giúp mình nha. Thanks!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Nhờ các bạn chỉ cách cài giúp. Máy mình sài Vista, sau khi cài xong, chạy chương trình bị báo lỗi như sau: " component 'HLBSoft Button.ocx' or one of dependencies not correctly registered: a file is missing or valid". Mọi người giúp mình nha. Thanks!

Hiện tại bản này chưa chạy được trên Vista, mình đã liên hệ với tác giả của phần mềm để cập nhật bản chạy trên Vista, hi vọng sớm nhất đưa lên diễn đàn.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×